WordPress 6.5 要求 MySQL 最低版本提升到 5.5.5

2023-12-1210:01:25网站建设与开发Comments906 views字数 962阅读模式

2011 年的 WordPress 发布 3.2 版本,将最低 MySQL 版本从 4.1.2 提升到到 5.0,之后虽然推荐的 MySQL (或 MariaDB)的版本一直在提升,但是最低版的要求就一直维持在 5.0 没有变化过。文章源自菜鸟学院-https://www.cainiaoxueyuan.com/cms/58009.html

MySQL 5.0 是在 2005 年发布的,并于 2012 年 1 月到了生命周期终止 (EOL),所以它在超过 12 年的时间里不受支持且不安全,可以说 MySQL 5.0 是非常古老的版本,所以 WordPress 6.5 将 MySQL 所需的最低版本将从 5.0 提高到 5.5.5。文章源自菜鸟学院-https://www.cainiaoxueyuan.com/cms/58009.html

为什么是5.5版本?

最低版本要求从 5.0 直接到 5.5,第一眼看去感觉像是一个巨大的飞跃,并且似乎停止了对 5 个版本的支持,然而 MySQL 版本其实从未正式发布 5.25.3、 和5.4 这三个版本。文章源自菜鸟学院-https://www.cainiaoxueyuan.com/cms/58009.html

WordPress  6.5 要求 MySQL 最低版本提升到 5.5.5

根据WordPress.org 统计页面,以下是所有 WordPress 站点当前每个 MySQL 版本的使用百分比(括号中是每个版本的 EOL 日期):文章源自菜鸟学院-https://www.cainiaoxueyuan.com/cms/58009.html

  • 5.0: 0.13%(2012 年 1 月)
  • 5.1: 0.27%(2013 年 12 月)
  • 5.5: 14.54%(2018 年 12 月)
  • 5.6: 4.51%(2021 年 2 月)
  • 5.7: 33.01%(2023 年 10 月)
  • 8.0: 11.67%(2026 年 4 月)

所有站点中只有 0.4% 的站点运行 MySQL < version 5.5,此外,这里面还有 80% 的网站运行的 WordPress 版本已超过 2 年(6.1 或更早版本),大约 15% 的站点正在运行 MySQL 5.5文章源自菜鸟学院-https://www.cainiaoxueyuan.com/cms/58009.html

尽管 MySQL 5.5 版本的 EOL 日期也早已过去,但实际使用水平太高,所以 WordPress 无法考虑使用高于此时所需的最低水平。文章源自菜鸟学院-https://www.cainiaoxueyuan.com/cms/58009.html

为什么是 5.5.5 而不仅仅是 5.5?

在当前运行 MySQL 5.5 的所有站点中,超过 85% 正在运行 5.5.5 版本,并且使用 5.5.5 还可以确保两件事:文章源自菜鸟学院-https://www.cainiaoxueyuan.com/cms/58009.html

  • 支持 utf8mb4 字符集(MySQL 5.5.3中添加)
  • InnoDB 取代 MyISAM 成为默认的存储引擎(在5.5.5中添加)

虽然 WordPress 完全能够使用其他字符集,但 utf8mb4 是更好的默认字符集,它已经可以完美支持 emoji 字符。文章源自菜鸟学院-https://www.cainiaoxueyuan.com/cms/58009.html

虽然 WordPress 6.5 中所需的最低版本发生了变化,但 WordPress 仍然建议使用 MySQL 5.7 或更高版本或 MariaDB 10.4 或更高版本。文章源自菜鸟学院-https://www.cainiaoxueyuan.com/cms/58009.html

  • 本站内容整理自互联网,仅提供信息存储空间服务,以方便学习之用。如对文章、图片、字体等版权有疑问,请在下方留言,管理员看到后,将第一时间进行处理。
  • 转载请务必保留本文链接:https://www.cainiaoxueyuan.com/cms/58009.html

Comment

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

确定